Skip to Content
SeyloDocs

Create a project

POST
/api/v1/projects.create

Creates an empty project. Services are added to it afterwards.

Needs projects.create, which owners and admins hold. Available to MCP clients and the assistant.

Authorization

cookieseylo_session<token>

Request Body

application/json
  1. body
name*string

Shown in the sidebar; unique, case-insensitive.

Match^[A-Za-z0-9][A-Za-z0-9 ._-]*$
Length1 <= length <= 40
description?string
Lengthlength <= 500

Response Body

Success.

application/json
  1. response
id*string

Panel-issued id.

Match^[a-z0-9]{16}$
name*string

Shown in the sidebar; unique, case-insensitive.

Match^[A-Za-z0-9][A-Za-z0-9 ._-]*$
Length1 <= length <= 40
description*string
Lengthlength <= 500
protected*boolean
serviceCount*integer
Range0 <= value
nodeCount*integer
Range0 <= value
guestCount*integer
Range0 <= value
networkName*string
collapsed*boolean
position*|null
createdAt*string
Formatdate-time
updatedAt*string
Formatdate-time
Example Request
curl -X POST 'https://example.com/api/v1/projects.create' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
{  "id": "string",  "name": "string",  "description": "string",  "protected": true,  "serviceCount": 0,  "nodeCount": 0,  "guestCount": 0,  "networkName": "string",  "collapsed": true,  "position": 0,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}